| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Video_hal_interface

## Detailed Description

Note
  Define your functions to override default implementations:
  #undef cv_hal_LK_optical_flow_level
  #define cv_hal_LK_optical_flow_level my_hal_LK_optical_flow_level

## Functions
int | hal_ni_LKOpticalFlowLevel (const uchar *prev_data, size_t prev_data_step, const short *prev_deriv_data, size_t prev_deriv_step, const uchar *next_data, size_t next_step, int width, int height, int cn, const float *prev_points, float *next_points, size_t point_count, uchar *status, float *err, const int win_width, const int win_height, int termination_count, double termination_epsilon, bool get_min_eigen_vals, float min_eigen_vals_threshold)
| Lucas-Kanade optical flow for single pyramid layer. See calcOpticalFlowPyrLK.
int | hal_ni_ScharrDeriv (const uchar *src_data, size_t src_step, short *dst_data, size_t dst_step, int width, int height, int cn)
| Computes Schaar derivatives with inteleaved layout xyxy...

## Function Documentation

## ◆ hal_ni_LKOpticalFlowLevel()

int hal_ni_LKOpticalFlowLevel | ( | const uchar * | prev_data,
|  | size_t | prev_data_step,
|  | const short * | prev_deriv_data,
|  | size_t | prev_deriv_step,
|  | const uchar * | next_data,
|  | size_t | next_step,
|  | int | width,
|  | int | height,
|  | int | cn,
|  | const float * | prev_points,
|  | float * | next_points,
|  | size_t | point_count,
|  | uchar * | status,
|  | float * | err,
|  | const int | win_width,
|  | const int | win_height,
|  | int | termination_count,
|  | double | termination_epsilon,
|  | bool | get_min_eigen_vals,
|  | float | min_eigen_vals_threshold )
| inline

`#include <video/src/hal_replacement.hpp>`

Lucas-Kanade optical flow for single pyramid layer. See calcOpticalFlowPyrLK.

Note
  OpenCV builds pyramid levels with `win_size` padding. Out-of-bound access to source image data is legal within `+-win_size` range.

Parameters

  prev_data | previous frame image data
  prev_data_step | previous frame image data step
  prev_deriv_data | previous frame Schaar derivatives
  prev_deriv_step | previous frame Schaar derivatives step
  next_data | next frame image data
  next_step | next frame image step
  width | input images width
  height | input images height
  cn | source image channels
  prev_points | 2d points coordinates (x,y) on the previous frame
  next_points | points coordinates (x,y) on the next frame
  point_count | - amount of input points
  status | optical flow status for each point. Optional output, expected if not nullptr is provided
  err | optical flow estimation error for each point. Optional output, expected if not nullptr is provided
  win_width | optical flow window width
  win_height | optical flow window heigh
  termination_count | maximum algorithm iterations. 0 means unlimited
  termination_epsilon | maximal allowed algorithm error
  get_min_eigen_vals | return minimal egen values as point errors in err buffer
  min_eigen_vals_threshold | eigen values threshold

## ◆ hal_ni_ScharrDeriv()

int hal_ni_ScharrDeriv | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | int | cn )
| inline

`#include <video/src/hal_replacement.hpp>`

Computes Schaar derivatives with inteleaved layout xyxy...

Note
  OpenCV builds pyramid levels with `win_size` padding. Out-of-bound access to source image data is legal within `+-win_size` range.

Parameters

  src_data | source image data
  src_step | source image step
  dst_data | destination buffer data
  dst_step | destination buffer step
  width | image width
  height | image height
  cn | source image channels